Loading...
Searching...
No Matches
dspf_header.c File Reference
`#include <string.h>`
`#include <grass/gis.h>`
`#include "viz.h"`
Include dependency graph for dspf_header.c:

Go to the source code of this file.

## Functions

int | dfwrite_header (file_info *headp)
int | dfread_header (file_info *headp)
int | dfread_header_old (file_info *headp, FILE *fp)

## Function Documentation

## dfread_header()

int dfread_header | ( | file_info * | headp | ) |

Definition at line 85 of file dspf_header.c.

References file_info::Dataoff, dfread_header_old(), DSPF_ID, file_info::dspfinfp, file_info::linefax, cmndln_info::litmodel, file_info::Lookoff, file_info::max, file_info::min, cmndln_info::nthres, print_head_info(), cmndln_info::tvalue, file_info::xdim, file_info::ydim, and file_info::zdim.

## dfread_header_old()

int dfread_header_old | ( | file_info * | headp,
|  | FILE * | fp )

Definition at line 139 of file dspf_header.c.

References file_info::Dataoff, file_info::linefax, cmndln_info::litmodel, file_info::Lookoff, file_info::max, file_info::min, cmndln_info::nthres, print_head_info(), cmndln_info::tvalue, file_info::xdim, file_info::ydim, and file_info::zdim.

Referenced by dfread_header().

## dfwrite_header()

int dfwrite_header | ( | file_info * | headp | ) |

Definition at line 7 of file dspf_header.c.

References file_info::Dataoff, DSPF_ID, file_info::dspfoutfp, G_ftell(), file_info::linefax, cmndln_info::litmodel, file_info::Lookoff, file_info::max, file_info::min, cmndln_info::nthres, cmndln_info::tvalue, file_info::xdim, file_info::ydim, and file_info::zdim.